POSTSRSD(8)

NAME
postsrsd - Postfix Sender Rewriting Scheme daemon

SYNOPSIS
postsrsd -s<file> -d<domain> [other options]

DESCRIPTION
Sender Rewriting Scheme implementation for Postfix.

Implements two TCP lookup tables to rewrite mail addresses as needed. The forward SRS is for sender envelope addresses to prevent SPF-related bounces. The reverse SRS is for recipient envelope addresses so that bounced mails can be routed back to their original sender.

OPTIONS

-s<file>
    read secrets from file (required)

-d<domain>
    set domain name for rewrite (required)

-f<port>
    set port for the forward SRS lookup (default: 10001)

-r<port>
    set port for the reverse SRS lookup (default: 10002)

-p<pidfile>
    write process ID to pidfile (default: none)

-c<dir>
    chroot to <dir> (default: none)

-u<user>
    switch user id after port bind (default: none)

-t<seconds>
    timeout for idle client connections (default: 1800)

-X<domain>
    exclude additional domain from address rewriting

-D  fork into background

-4  force IPv4 socket (default: any)

-6  force IPv6 socket (default: any)

-h  show this help

-v  show version